/*
 * Copyright (c) 2000 Dave Jones <dave@powertweak.com>
 * Can be freely distributed and used under the terms of the GNU GPL.
 */

#include <gtk/gtk.h>

typedef struct tickbuttonstruct {
	GtkWidget	*widget;
	const char	*procname;		/* The path to the file. */
	const char	*configname;	/* What we call it in powertweak.config. */
	const char	*labelname;		/* What we put at the side of the widget. */
	char		*description;	/* What we display in the description pane. */
	char		current_value;	/* Boolean */
} tickbuttons_t;
