/*
 * Copyright (c) 2000 Dave Jones <dave@powertweak.com>
 * Can be freely distributed and used under the terms of the GNU GPL.
 */

#include <gtk/gtk.h>

typedef struct spinbuttonstruct {
	GtkWidget		*widget;
	const char		*procname;		/* The path to the file. */
	const char		*configname;	/* What we call it in powertweak.config. */
	const char		*labelname;		/* What we put at the side of the widget. */
	unsigned int	current_value;
	const int		low_limit;
	const int		high_limit;
	const int		element;		/* Only used for /proc/sys/vm */
} spinbuttons_t;



